/* $Id: ddl_error.c,v 1.2 1995/08/21 13:34:33 tim Exp $ */

/* Copyright 1995 IASC */

#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>

#include "ddl.h"

/* default error handler for DDL
   Parameters:
     err_no: IN     error number
     err_severity: IN severity of error; not currently used
     ddl_routine: IN DDL routine in which error occurred
   Status: L2 */
int F77(ddl_error)(int *err_no, int *err_severity, int *ddl_routine)
{
  int ierr;
  /* display error information */
  printf("DDL Default error handler:\n");
  ierr = F77(ddl_print_error)(err_no, err_severity, ddl_routine);

  /* hard error: return error number and force termination */
  ierr = *err_no;

  /* soft error: return DDL_SUCCESS and continue */
  /*  ierr = DDL_SUCCESS;*/

  return ierr;
}
