/* $Id: error.c,v 1.2 1995/08/23 11:13:33 tim Exp $ */

/* Copyright 1995 IASC */

/* user error handler example for DDL */

/* standard include files */
#include <mpi.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>

/* always include the Sparse-DDL header file */
#include "ddl.h"

int F77(ddl_error)(int *err_no, int *err_severity, int *ddl_routine)
{
  int ierr;
  /* display error information */
  ierr = F77(ddl_print_error)(err_no, err_severity, ddl_routine);

  /* hard error: return error number and force termination */
  ierr = *err_no;

  /* soft error: return DDL_SUCCESS and continue */
  /*  ierr = DDL_SUCCESS;*/

  return ierr;
}
