c convert gathered row to blocked storage for input
c to sesys for factorisation  

      subroutine sparse_row_to_block(blocksize,
     & mylow,myhigh,
     & ia,ja,a,
     & iblk,jblk,ablk,nzblk)

      implicit none
      integer ia(*),ja(*),iblk(*),jblk(*)
      double precision a(*),ablk(*)
c     matrix of size nxn
c     ia is row indices of sparse matrix
c     ja is column pointers of sparse matrix
c     a is coefficient values of sparse matrix
c     input format is sparse matrix: gathered rows
c     output format is sparse matrix: blocked triad

      integer i,j,blocksize,mylow,myhigh
      integer nzblk

      nzblk = 0
        do i = 1,blocksize
          do j = ia(i),(ia(i+1)-1)
          if ((ja(j).ge.mylow) .and. (ja(j).le.myhigh)) then
            nzblk = nzblk+1
            ablk(nzblk) = a(j)
            iblk(nzblk) = i
            jblk(nzblk) = ja(j)-(mylow-1)
          end if
          end do
        end do

        end


