/* $Id: ddl_isr.h,v 1.2 1995/08/21 10:34:10 tim Exp $ */

#ifndef _DDL_ISR_H
#define _DDL_ISR_H

#include <mpi.h>
#include "ddl_general.h"

typedef enum {type_unknown, type_byte, type_int_2, type_int_4, type_real_4,
	      type_real_8, type_cmpl_8, type_cmpl_16} ISR_TYPE;

int DDL_ISR_read_hdr P((FILE *fp, int *n1, int *n2,
		     ISR_TYPE *isr_type, double *vmin, double *vmax));
int DDL_ISR_read_data P((FILE *fp, int size, ISR_TYPE isr_type, float *data));
int DDL_ISR_write P((FILE *fp, int n1, int n2, float *data));

#endif
