dnl $Id: aclocal.m4,v 1.1 1995/08/21 10:45:23 tim Exp $
dnl Some extra macros required by this package.
dnl DDL_FIND_DIRECTORY(symbol, name, likely candidates)
dnl tries to find where the directory name is, looking in the candidate 
dnl directories, and if that fails, asking for interactive help.  Sets
dnl symbol to the result.
define(DDL_FIND_DIRECTORY,[
AC_CHECKING(for the location of $1)
if test "x$$1" = "x"
then
    $1=""
    for ddl_i in $3
    do
       if test -d $ddl_i/$2
       then
          $1=$ddl_i/$2
          test -n "$silent" || echo "found $1, using $ddl_i/$2"
          break
       fi
    done
    
    if test -z "$$1"
    then
       echo Tell me what directory is the root of $1
       read $1
    fi
else
    echo "using $$1"
fi
dnl])dnl
